Skip to main content
GET
/
api
/
v1
/
notifications
List Notifications
curl --request GET \
  --url https://platform.unstructuredapp.io/api/v1/notifications
{
  "events": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_type": "<string>",
      "payload": {},
      "created_at": "2023-11-07T05:31:56Z",
      "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_read": false
    }
  ],
  "next_cursor": "<string>"
}

Headers

unstructured-api-key
string | null

Query Parameters

workflow_id
string<uuid> | null
event_types
string | null
since
string<date-time> | null
limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string | null
unread_only
boolean
default:false

Response

Successful Response

Paginated notification list response.

events
NotificationResponse · object[]
required

List of notification events

next_cursor
string | null

Cursor for next page (null if no more)